package ru.dbotthepony.kstarbound.client.gl.vertex

enum class VertexType(val elements: Int, val indicies: IntArray) {
	LINES(2, intArrayOf(0, 1)),
	TRIANGLES(3, intArrayOf(0, 1, 2)),
	QUADS(4, intArrayOf(0, 1, 2, 1, 2, 3)),
	QUADS_AS_LINES(4, intArrayOf(0, 1, 0, 2, 1, 3, 2, 3)),
	QUADS_AS_LINES_WIREFRAME(4, intArrayOf(0, 1, 0, 2, 1, 3, 2, 3, 0, 3, 1, 2)),
}